package com.flossom.common.core.domain.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 打卡奖励积分对象 integral_clock
 *
 * @author flossom
 * @date 2024-01-25
 */
public class IntegralClock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 日常打卡获得积分 */
    @Excel(name = "日常打卡获得积分")
    private Long dailyClockCredit;

    /** 是否开启额外打卡奖励（0关闭、1打开） */
    @Excel(name = "是否开启额外打卡奖励", readConverterExp = "0=关闭、1打开")
    private Long isExtraClock;

    /** 额外打卡奖励积分 */
    @Excel(name = "额外打卡奖励积分")
    private Long extraClockCredit;

    /** 额外打卡时间开始 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "额外打卡时间开始", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 额外打卡时间结束 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "额外打卡时间结束", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    private List<String> timeRange = new ArrayList<String>();

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDailyClockCredit(Long dailyClockCredit)
    {
        this.dailyClockCredit = dailyClockCredit;
    }

    public Long getDailyClockCredit()
    {
        return dailyClockCredit;
    }
    public void setIsExtraClock(Long isExtraClock)
    {
        this.isExtraClock = isExtraClock;
    }

    public Long getIsExtraClock()
    {
        return isExtraClock;
    }
    public void setExtraClockCredit(Long extraClockCredit)
    {
        this.extraClockCredit = extraClockCredit;
    }

    public Long getExtraClockCredit()
    {
        return extraClockCredit;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    public List<String> getTimeRange() {
        return timeRange;
    }

    public void setTimeRange(List<String> timeRange) {
        this.timeRange = timeRange;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dailyClockCredit", getDailyClockCredit())
            .append("isExtraClock", getIsExtraClock())
            .append("extraClockCredit", getExtraClockCredit())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
